Update Webhook Endpoint
client.webhooks.update(stringwebhookEndpointID , WebhookUpdateParams { event_types, name, url } body ?, RequestOptionsoptions ?): WebhookEndpoint { id, created_at, event_types, 5 more }
POST
/webhook_endpoints/{webhook_endpoint_id}Updates a webhook endpoint for the authenticated project.
Update Webhook Endpoint
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const webhookEndpoint = await client.webhooks.update('whe_123');
console.log(webhookEndpoint.id);200 — Example
{
"id": "id",
"created_at": 0,
"event_types": [
"string"
],
"name": "name",
"object": "webhook_endpoint",
"signing_secret_hint": "signing_secret_hint",
"url": "url",
"updated_at": 0
}Returns Examples
200 — Example
{
"id": "id",
"created_at": 0,
"event_types": [
"string"
],
"name": "name",
"object": "webhook_endpoint",
"signing_secret_hint": "signing_secret_hint",
"url": "url",
"updated_at": 0
}